Update Ledger TransactionAsk AIpatch https://app.moderntreasury.com/api/ledger_transactions/{id}Path ParamsidstringrequiredThe ID or external_id of the ledger transaction.Body ParamsdescriptionstringAn optional free-form description for internal use. Maximum of 1000 characters allowed.statusstringTo post the ledger transaction, use posted. To archive a pending ledger transaction, use archived.metadatajsonAdditional data in the form of key-value pairs. Pairs can be removed by passing an empty string or null as the value.effective_atdate-timeFormat: ISO8601 to 6 decimal places.ledger_entriesarray of objectsNote that updating entries will overwrite any prior entries on the ledger transaction. The metadata will not be copied over from the previous entries so any attached metadata must be sent in the payload.ledger_entriesADD objectledger_account_category_balance_locksarray of objectsAn array of one or more ledger account category balance locks. Use this to lock on a ledger account category's balance.ledger_account_category_balance_locksADD objectledgerable_typestringIf the ledger transaction can be reconciled to another object in Modern Treasury, add the ledgerable type here, otherwise null. See possible types at Ledger Transactionsledgerable_idstringIf the ledger transaction can be reconciled to another object in Modern Treasury, add the id of that object here, otherwise null.external_idstringAn optional user-defined 180 character unique identifierResponse 200200Updated about 2 months ago